//
// Created by lukas on 19.12.20.
//

#ifndef PUMPENSTEUERUNG_HEATINGINFOSERVICE_H
#define PUMPENSTEUERUNG_HEATINGINFOSERVICE_H

#include <ESPAsyncWebServer.h>

#define MAX_FEATURES_SIZE 256
#define HEATINGINFO_SERVICE_PATH "/rest/heatinginfo" // set the api backend path


class HeatingInfoService {
public:
    HeatingInfoService(AsyncWebServer* server);

    void setSensorData(float hum, float temp);

    void setLastHeatingStarttime(unsigned long time);

    void setLastHetingEndtime(unsigned long time);

private:
    void reply(AsyncWebServerRequest* request);

    float hum;
    float temp;

    unsigned long lastheating;
    unsigned long lastheatend;
};


#endif //PUMPENSTEUERUNG_HEATINGINFOSERVICE_H
